/* 
    Created on : 29-Mar-2017, 11:41:59 AM
    Author     : mithat.karaoglu@gmail.com
*/

table.bordered {
    border-style: inset;
    border: 1px solid black;
    border-collapse: collapse;
}
th.bordered  {
    padding: 4px;
    border: 0.5px solid black;
    border-collapse: collapse;
    text-align: center;
    word-wrap: break-word;
    /*background-color: transparent;*/
}
td.bordered  {
    padding: 4px;
    border: 0.5px solid black;
    border-collapse: collapse;
    text-align: center;
    word-wrap: break-word;
    background-color: transparent;
}
td.bordered-act  {
    padding: 4px;
    border: 0.5px solid black;
    border-collapse: collapse;
    text-align: center;
    word-wrap: break-word;
}
td.multiline {
    text-align: center;
    max-width: 150px;
    max-height: 150px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.row-padding {
    padding-top: 5px;
    padding-bottom: 5px;
}

.criteria-background {
    border: 1px solid black;
    border-radius: 10px;
    background: lightgray;
    padding-top: 5px;
}

.sales-background {
    background: lightblue;
}

.cancels-background {
    background: lightsalmon;
}

.collections-background {
    background: lightgreen;
}

.sales-foreground {
    color: blue;
    /*font-weight: bold;*/
    /*font-size: larger;*/
}
.cancels-foreground {
    color: salmon;
    font-weight: bold;
}
.collections-foreground {
    color: green;
    /*font-weight: bold;*/
}

.open-pub {
    color: lightblue;
    font-weight: bold;
}

table {
    border-collapse: separate; /* Important for sticky positioning with borders */
}

th.asof-wf {
    padding-left: 0px;
    padding-right: 0px;
    border: 1px solid grey;
    /*border-collapse: collapse;*/
    text-align: center;
    font-size: smaller;
    font-weight: bold;
    color: seagreen;
    white-space: pretty;
}
th.bordered-wf {
    padding-left: 6px;
    padding-right: 6px;
    border: 1px solid grey;
    /*border-collapse:inherit;*/
    text-align: center;
}
td.bordered-wf {
    padding: 4px;
    border: 0.5px solid grey;
    border-collapse: collapse;
    text-align: center;
    background-color: transparent;
}

td.pub-code-wf {
    padding: 4px;
    border: 0.5px solid grey;
    border-collapse: collapse;
    /*background-color: transparent;*/
}

.th-wf {
}
.thead-wf {
    position: sticky;
    top: 0px; /* Sticks the header row to the top */
    background-color: #f0f0f0; /* Add a background to prevent content from showing through */
    z-index: 1; /* Ensures the header is above the scrolling content */
    border: 0.5px solid grey;
    /*border-collapse: separate;*/
}
.th-wf-form {
    padding:2px;
    min-width: 80px;
    text-align: center;
    white-space: nowrap;
}
.td-wf-form-label {
    padding-left: 2px;
    padding-right: 2px;
    /*border: 0.5px solid grey;
    border-collapse: collapse;*/
    text-align: right;
    white-space: nowrap;
    font-weight: 600;
}
.td-wf-form-date {
    padding-left: 2px;
    padding-right: 2px;

    /*border: 0.5px solid grey;
    border-collapse: collapse;*/
    min-width:120px;
    width: fit-content;
    white-space: nowrap;
    text-align: left;
    font-weight: 600;
    background-color: transparent;
    cursor: pointer;
}
.td-wf-form-note {
    padding-left: 2px;
    padding-right: 2px;

    /*border: 0.5px solid grey;
    border-collapse: collapse;*/
    min-width: 100px;
    width: 40%;
    text-align: left;
    font-weight: 600;
    background-color: transparent;
}
.td-wf-form-user {
    padding-left: 2px;
    padding-right: 2px;

    /*border: 0.5px solid grey;
    border-collapse: collapse;*/
    width: fit-content;
    white-space: nowrap;
    text-align: left;
    font-weight: 600;
    background-color: transparent;
}

.tr-wf-form {
}

th:first-child,
td:first-child {
    position: sticky;
    left: 0; /* Sticks the first column to the left */
    background-color: #f1f1f1; /* Add a background to prevent content from showing through */
    /*z-index: 0; /* Ensures the first column is above the scrolling content */
}

th:last-child,
td:last-child {
    width: auto; /* Or simply omit explicit width */
}

.criteria-wf {
    width: auto;
    border: 1px solid black;
    border-radius: 10px;
    background: lightgray;
    padding: 1px;
    vertical-align: middle;
    text-align: left;
    font-size: inherit;
}


